Update Digital Workplace crm.automatedsolution.update
Scope:
crmWho can execute the method: users with administrative access to the crm section
This method updates the existing settings of the digital workplace with the identifier id. If any of the fields are not provided, their values will remain unchanged.
Method Parameters
Required parameters are marked with *
|
Name |
Description |
|
id* |
Identifier of the digital workplace. It can be obtained from the response of the method crm.automatedsolution.add (result.automatedSolution.id), which was called when adding the digital workplace, or crm.automatedsolution.list. You can also use the "Digital Workplaces" section in the Bitrix24 account — the |
|
fields* |
Field values (detailed description provided below) for creating a digital workplace in the following structure:
|
Parameter fields
|
Name |
Description |
|
title |
Title of the digital workplace. Be careful when changing the |
|
typeIds |
Array of identifiers of SPAs that need to be linked to this workplace. To change the list of linked SPAs, you need to pass the Warning Settings are completely overwritten. When changing the list of linked SPAs, you must pass the |
Code Examples
How to Use Examples in Documentation
-
Change the title of the digital workplace
cURL (Webhook)cURL (OAuth)JSPHPcurl -X POST \ -H "Content-Type: application/json" \ -H "Accept: application/json" \ -d '{"id":238,"fields":{"title":"HR & Customer Success"}}' \ https://**put_your_bitrix24_address**/rest/**put_your_user_id_here**/**put_your_webhook_here**/crm.automatedsolution.updatecurl -X POST \ -H "Content-Type: application/json" \ -H "Accept: application/json" \ -d '{"id":238,"fields":{"title":"HR & Customer Success"},"auth":"**put_access_token_here**"}' \ https://**put_your_bitrix24_address**/rest/crm.automatedsolution.updateBX24.callMethod( 'crm.automatedsolution.update', { "id": 238, "fields": { "title": "HR & Customer Success" } }, function(result) { if (result.error()) { console.error(result.error()); } else { console.info(result.data()); } } );require_once('crest.php'); $result = CRest::call( 'crm.automatedsolution.update', [ 'id' => 238, 'fields' => [ 'title' => 'HR & Customer Success' ] ] ); echo '<PRE>'; print_r($result); echo '</PRE>'; -
Change the list of linked SPAs
Suppose the digital workplace with
id=267had two SPAs linked — one withid=14, and the other withid=158. If we want the digital workplace to retain only one SPA, we pass thetypeIdsfield containing only the desired SPAs:cURL (Webhook)cURL (OAuth)JSPHPcurl -X POST \ -H "Content-Type: application/json" \ -H "Accept: application/json" \ -d '{"id":238,"fields":{"typeIds":[14]}}' \ https://**put_your_bitrix24_address**/rest/**put_your_user_id_here**/**put_your_webhook_here**/crm.automatedsolution.updatecurl -X POST \ -H "Content-Type: application/json" \ -H "Accept: application/json" \ -d '{"id":238,"fields":{"typeIds":[14]},"auth":"**put_access_token_here**"}' \ https://**put_your_bitrix24_address**/rest/crm.automatedsolution.updateBX24.callMethod( 'crm.automatedsolution.update', { "id": 238, "fields": { "typeIds": [ 14 ] } }, function(result) { if (result.error()) { console.error(result.error()); } else { console.info(result.data()); } } );require_once('crest.php'); $result = CRest::call( 'crm.automatedsolution.update', [ 'id' => 238, 'fields' => [ 'typeIds' => [14] ] ] ); echo '<PRE>'; print_r($result); echo '</PRE>'; -
Unlink all SPAs
To unlink all SPAs from the digital workplace, you need to pass an empty array as
typeIds.cURL (Webhook)cURL (OAuth)JSPHPcurl -X POST \ -H "Content-Type: application/json" \ -H "Accept: application/json" \ -d '{"id":238,"fields":{"typeIds":[]}}' \ https://**put_your_bitrix24_address**/rest/**put_your_user_id_here**/**put_your_webhook_here**/crm.automatedsolution.updatecurl -X POST \ -H "Content-Type: application/json" \ -H "Accept: application/json" \ -d '{"id":238,"fields":{"typeIds":[]},"auth":"**put_access_token_here**"}' \ https://**put_your_bitrix24_address**/rest/crm.automatedsolution.updateBX24.callMethod( 'crm.automatedsolution.update', { "id": 238, "fields": { "typeIds": [] } }, function(result) { if (result.error()) { console.error(result.error()); } else { console.info(result.data()); } } );require_once('crest.php'); $result = CRest::call( 'crm.automatedsolution.update', [ 'id' => 238, 'fields' => [ 'typeIds' => [] ] ] ); echo '<PRE>'; print_r($result); echo '</PRE>';
Response Handling
HTTP status: 200
{
"result": {
"automatedSolution": {
"id": 1,
"title": "HR",
"typeIds": [
1,
2,
3
]
}
},
"time": {
"start": 1715849396.642359,
"finish": 1715849396.954623,
"duration": 0.31226396560668945,
"processing": 0.0068209171295166016,
"date_start": "2024-05-16T11:49:56+03:00",
"date_finish": "2024-05-16T11:49:56+03:00",
"operating_reset_at": 1715849996,
"operating": 0
}
}
Returned Data
|
Name |
Description |
|
result |
Root element of the response |
|
automatedSolution |
Object containing information about the updated digital workplace |
|
time |
Information about the request execution time |
Error Handling
HTTP status: 400
{
"error":"BX_EMPTY_REQUIRED",
"error_description":"Required field is not filled"
}
|
Name |
Description |
|
error |
String error code. It may consist of digits, Latin letters, and underscores |
|
error_description |
Textual description of the error. The description is not intended to be shown to the end user in its raw form |
Possible Error Codes
|
Code |
Description |
|
|
Insufficient permissions |
|
|
Required field is not filled |
Statuses and System Error Codes
HTTP Status: 20x, 40x, 50x
The errors described below may occur when calling any method.
|
Status |
Code |
Description |
|
|
|
An internal server error has occurred, please contact the server administrator or Bitrix24 technical support |
|
|
|
An internal server error has occurred, please contact the server administrator or Bitrix24 technical support |
|
|
|
The request intensity limit has been exceeded |
|
|
|
The current method is not allowed to be called using batch |
|
|
|
The maximum length of parameters passed to the batch method has been exceeded |
|
|
|
Invalid access token or webhook code |
|
|
|
The methods must be called using the HTTPS protocol |
|
|
|
The REST API is blocked due to overload. This is a manual individual block, to remove it you need to contact Bitrix24 technical support |
|
|
|
The REST API is available only on commercial plans |
|
|
|
The user whose access token or webhook was used to call the method lacks permissions |
|
|
|
The manifest is not available |
|
|
|
The request requires higher privileges than those provided by the webhook token |
|
|
|
The provided access token has expired |
|
|
|
The user does not have access to the application. This means that the application is installed, but the account administrator has allowed access to this application only for specific users |
|
|
|
The public part of the site is closed. To open the public part of the site on an on-premise installation, disable the option "Temporary closure of the public part of the site". Path to the setting: Desktop > Settings > Product Settings > Module Settings > Main Module > Temporary closure of the public part of the site |
Continue Learning
- Digital Workspaces
- Create Digital Workspace crm.automatedsolution.add
- Get data about the digital workplace by id crm.automatedsolution.get
- Get a list of digital workspaces crm.automatedsolution.list
- Delete Digital Workplace crm.automatedsolution.delete
- Get fields of the digital workplace crm.automatedsolution.fields